Generate Media ID Using URL

Use this API to generate the media ID using URL.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValuesData TypeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token.
appIdApp ID to fetch the access token{{App_ID}}StringRequiredThe ID should be a valid app ID of Gupshup
file_typeFile type to generate media IDimage/pngStringRequired

aram file must be a file with one of the following types:
audio/aac, audio/mp4, audio/mpeg, audio/amr, audio/ogg, audio/opus, application/vnd.ms-powerpoint, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/vnd.openxmlformats-officedocument.presentationml.presentation, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/pdf, text/plain, application/vnd.ms-excel, image/jpeg, image/png, image/webp, video/mp4, video/3gpp. Received file of type ''.

fileFile URL to generate media idhttps://image.pngStringRequired

Should be a valid file URL.
File size should not be more than 100 MB

Sample Request

curl --request POST \
     --url https://partner.gupshup.io/partner/app/{{APP_ID}}/media \
     --header 'accept: application/json' \
     --header 'content-type: multipart/form-data' \
     --header 'token: {{PARTNER_APP_TOKEN}}' \
     --form file=https://image.jpeg \
     --form file_type=image/jpeg

Sample Response

{
  "mediaId": "1852559851913765",
  "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200{ "mediaId": "1852559851913765", "status": "success" }
Error
400{ "message": "Only CAPI apps allowed to generate media ID", "status": "error" }Bad Request when app is non CAPI
413{ "message": "File size exceeds the maximum limit!", "status": "error" }Supported 100 MB file size
500{ "message": "Unable to upload requested Media", "status": "error" }Internal Error occurred. Try after some time. If the issue persists contact the support team
Path Params
string
required

Unique identifier of the app.

Body Params
string
required
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json